Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage.grid
Class ValueInBytePacking

    Object
      CodeList<ValueInBytePacking>
          ValueInBytePacking

All Implemented Interfaces:
  Serializable, Comparable<ValueInBytePacking>

Deprecated. In favor of migrating to ISO 19123 definition for Coverage.

    @UML(identifier="GC_ValueInBytePacking",
         specification=OGC_01004)
    public final class ValueInBytePacking

extends CodeList<ValueInBytePacking>

Order of values packed in a byte for sample dimensions with less than 8 bits. This include `UNSIGNED_1BIT`, `UNSIGNED_2BITS` and `UNSIGNED_4BITS` data types.

WARNING: THIS CLASS WILL CHANGE. Current API is derived from OGC Grid Coverages Implementation specification 1.0. We plan to replace it by new interfaces derived from ISO 19123 (Schema for coverage geometry and functions). Current interfaces should be considered as legacy and are included in this distribution only because they were part of GeoAPI 1.0 release. We will try to preserve as much compatibility as possible, but no migration plan has been determined yet.

Since:
  GeoAPI 1.0
Version:
  Grid Coverage specification 1.0
See Also:
  `GridPacking`, `ByteInValuePacking`, Serialized Form

Field Summary
`static ValueInBytePacking` | `HI_BIT_FIRST` Deprecated. High bit first (big endian order).
`static ValueInBytePacking` | `LO_BIT_FIRST` Deprecated. Low bit firts (little endian order).

Method Summary
`CodeList[]` | `family()` Deprecated. Returns the list of enumerations of the same kind than this enum.
`static ValueInBytePacking` | `valueOf(String code)` Deprecated. Returns the ValueInBytePacking that matches the given string, or returns a new one if none match it.
`static ValueInBytePacking[]` | `values()` Deprecated. Returns the list of `ValueInBytePacking`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LO_BIT_FIRST

    @UML(identifier="GC_LoBitFirst",
         obligation=CONDITIONAL,
         specification=OGC_01004)
    public static final ValueInBytePacking LO_BIT_FIRST

  Deprecated.
  Low bit firts (little endian order).

### HI_BIT_FIRST

    @UML(identifier="GC_HiBitFirst",
         obligation=CONDITIONAL,
         specification=OGC_01004)
    public static final ValueInBytePacking HI_BIT_FIRST

  Deprecated.
  High bit first (big endian order).

Method Detail

### values

    public static ValueInBytePacking[] values()

  Deprecated.
  Returns the list of `ValueInBytePacking`s.

### family

    public CodeList[] family()

  Deprecated.
  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<ValueInBytePacking>`

### valueOf

    public static ValueInBytePacking valueOf(String code)

  Deprecated.
  Returns the ValueInBytePacking that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.